{
===============================================================================
  Copyright (©) 2002. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 03-11-2002
  Versión actual: 1.0.0
  Fecha versión actual: 03-11-2002
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit BarraDatos;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RDXFRAME, RdxBotones, ExtCtrls, RdxPaneles, RdxBarras, ActnList,
  StdCtrls, pngimage;

type
  TfrBarraDatos = class(TRdxFrame)
    Acciones: TActionList;
    actArticulos: TAction;
    actVendedores: TAction;
    actInstaladores: TAction;
    actFamilias: TAction;
    actPropiedades: TAction;
    actFPago: TAction;
    actArticulosModelo: TAction;
    Panel2: TPanel;
    shSeparador: TShape;
    pnlBarraLateral: TPanel;
    imgFondo: TImage;
    pnlTitulo: TPanel;
    eTitulo: TLabel;
    imgSombra: TImage;
    RdxBotonLateral1: TRdxBotonLateral;
    RdxBotonLateral3: TRdxBotonLateral;
    RdxBotonLateral9: TRdxBotonLateral;
    actProcedencias: TAction;
    RdxBotonLateral4: TRdxBotonLateral;
    procedure actArticulosExecute(Sender: TObject);
    procedure actVendedoresExecute(Sender: TObject);
    procedure actInstaladoresExecute(Sender: TObject);
    procedure actFamiliasExecute(Sender: TObject);
    procedure actFPagoExecute(Sender: TObject);
    procedure actArticulosModeloExecute(Sender: TObject);
    procedure actProcedenciasExecute(Sender: TObject);
  public
    constructor Create (AOwner: TComponent); override;
  end;

var
  frBarraDatos: TfrBarraDatos;

implementation

{$R *.DFM}
uses
  Vendedores, Instaladores, FormasPago, Propiedades, Entidades,
  Familias, Procedencias, Articulos, ArticulosModelo, BaseDatos, Configuracion;

constructor TfrBarraDatos.Create (AOwner: TComponent);
begin
  inherited Create(AOwner);
  ConfigurarBarraLateral(Self, Self.Entidad);  
  actArticulos.Execute;
end;

procedure TfrBarraDatos.actArticulosExecute(Sender: TObject);
begin
  Contenido := TfrArticulos.Create(Self);
end;

procedure TfrBarraDatos.actVendedoresExecute(Sender: TObject);
begin
  Contenido := TfrVendedores.Create(Self);
end;

procedure TfrBarraDatos.actInstaladoresExecute(Sender: TObject);
begin
  Contenido := TfrInstaladores.Create(Self);
end;

procedure TfrBarraDatos.actFamiliasExecute(Sender: TObject);
begin
  CaptionModal := 'Lista de familias';
  HeightModal := 358;
  WidthModal := 530;
  ModoModal := Anadir;
  EntidadModal := entFamilias;
  ContenidoModal := TfrFamilias.Create(Self);
end;

procedure TfrBarraDatos.actFPagoExecute(Sender: TObject);
begin
  CaptionModal := 'Lista de formas de pago';
  HeightModal := 358;
  WidthModal := 530;
  ModoModal := Anadir;
  EntidadModal := entFormasPago;
  ContenidoModal := TfrFormasPago.Create(Self);
end;

procedure TfrBarraDatos.actArticulosModeloExecute(Sender: TObject);
begin
  Contenido := TfrArticulosModelo.Create(Self);
end;

procedure TfrBarraDatos.actProcedenciasExecute(Sender: TObject);
begin
  CaptionModal := 'Lista de procedencias de cliente';
  HeightModal := 358;
  WidthModal := 530;
  ModoModal := Anadir;
  EntidadModal := entProcedencias;
  ContenidoModal := TfrProcedencias.Create(Self);
end;

end.
